// chapitre 2 function.cpp : définit le point d'entrée pour l'application console.
//

#include "stdafx.h"

enum age { enfant, adolescent, adulte };

age categoriser(int age)
{
	if(age<13)
		return enfant;	 // on s'en va
	
	// continue sur age>=13
	if(age<18)
		return adolescent; // on s'en va

	// continue sur age>=18
	return adulte;		// on s'en va
}


int _tmain(int argc, _TCHAR* argv[])
{
	int old;
	scanf("%d",&old);	// lire un entier depuis le clavier

	age a;				
	a=categoriser(old); // déterminer la tranche d'age

	printf("age=%d",a);	// afficher les résultats
	return 0;
}

